/***********************/
/* Define custom fonts */
/***********************/
@font-face {
    font-family: "Liavin Extrude Right Demo";
    src: url("../static/fonts/LiavinExtruderight.otf") format("opentype");
    font-weight: normal;
    font-style: normal;
}

/****************************/
/* Main document formatting */
/****************************/

html, body {
    margin: 0;
    padding: 0;
}

html {
    background-color: #141617;
}

/******************************/
/* Sitewide Typeface Settings */
/******************************/

.header-title {
    font-family: "Liavin Extrude Right Demo", serif;
    font-size: 50px;
}

p.signature {
    font-family: "Liavin Extrude Right Demo", serif;
    font-size: 24px;
    padding-left: 20px;
}

/***********************************/
/* Navigation & Top Bar formatting */
/***********************************/

.bar {
    display: block;
    width: 100%;
    height: 30px;
    margin: 0;
    padding: 0;
    background-color: #282828;
    color: #d4be98;
    border-bottom: 1px solid #A9B665;
}

.bar-content{
    padding: 0 5px;
    height: 100%;
    margin: 0 auto;
    max-width: 1200px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
}

.bar-content-left {
}

.bar-content-middle {
    flex-grow: 2;
    text-align: center;
}

.bar-content-right {
    
}

.nav-links {
    color: #EA6962;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.nav-item {
    margin: 0 2px;
}

.nav-item a {
    color: #EA6962;
    text-decoration: none;
}

.nav-item a:hover {
    color: #E78A4E;
}

.nav-item.active a {
    color: #E78A4E !important;
}

/***************************/
/* Main content formatting */
/***************************/

.container {
    background-color: #504945;
    color: #d4be98;
}

.main-container {
    background-color: #282828;
    display: block;
    margin: 40px auto 0 auto;
    width: 95%;
    max-width: 1200px;
}

.body-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
}

.main-content-box h1 {
    margin-top: 0;
    margin-bottom: 2px;
}

.main-content-box h4 {
    margin-top: 0;
    font-style: italic;
}

.main-content-box blockquote {
    background-color: #282828;
    color: #EA6962;
    padding: 5px 10px;
    font-style: italic;
    font-size: 0.9em;
}

.main-content-left, .main-content-right {
    min-width: 150px;
    max-width: 200px;
    display: flex;
    flex-flow: column;
}

.main-content-left {
    background-color: #282828;
    color: #A9B665;
    border-right: 1px solid #A9B665;
    padding: 10px 0;
}

.main-content-right {
    border-left: 1px solid #A9B665;
}

.main-content-center {
    display: flex;
    flex-flow: column;
    align-items: flex-start;
}

.main-content-box {
    padding: 10px 40px;
    margin-bottom: 10px;
}

.side-content-box {
    padding: 0 10px;
    margin-bottom: 10px;
}

.side-content-section-header {
    margin-bottom: 5px;
}

.side-content-link-tree {
    display: flex;
    flex-direction: column;
    align-self: stretch;
    text-align: center;
}

.side-content-button {
   background-color: #A9B665;
}

.side-content-button {
    color: #282828;
    text-decoration: none;
}

.side-content-button:hover {
    background-color: #282828;
    color: #A9B665;
    box-shadow: 0 0 1px #A9B665 inset;
}

.header-container {
    background-color: #3C3836;
    border-bottom: 1px solid #A9B665;
    display: flex;
    align-items: center;
    justify-content: center;
}

.footer-container {
    width: 100%;
    height: 50px;
    background-color: #3C3836;
    border-top: 1px solid #A9B665;
    display: flex;
    align-items: center;
    justify-content: center;
}
